import { expect } from 'chai'
import { addInteractionTypes } from '../addInteractionTypes'
import { ADD_INTERACTION_TYPES } from '@instructure/quiz-common/lib/constants'

describe('interaction types action creators', () => {
  it('returns a well-formed start edit action', () => {
    const arrayOfTypes = ['some type here']
    const addTypesAction = addInteractionTypes(arrayOfTypes)

    expect(addTypesAction)
      .to.deep.equal({
        type: ADD_INTERACTION_TYPES,
        payload: arrayOfTypes
      })
  })
})
